/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/ircsavedsearch.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/ircsavedsearch.xml',
'<View objectType="XXAS_IRC_SEARCH_CRITERIA" deleteAllowed="true" deleteLabel="Delete" title="iRec Saved search" defaultFormHandler="xxas_saved_search_pkg.save_saved_searches">

  <CreateFields>
  
    <Hidden id="SEARCH_CRITERIA_ID"/>
    <Hidden id="SEARCH_TYPE"/>
    <Link id="SAVE_SEARCH_HREF" label="{message.XXAS_SEARCH_JOB_LABEL}"/>

  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/ircsavedsearch.xml');
END;
/
COMMIT;
EXIT;
